DH_OCAMLDOC(1)

NAME
dh_ocamldoc - Generates documentation for OCaml libraries

SYNOPSIS
dh_ocamldoc [debhelper options]

DESCRIPTION
dh_ocamldoc looks for all files matching "debian/$package.ocamldoc*" where it can find the flags that will be given to ocamldoc, which will be called with all the .mli files (or .ml if there is no matching .mli) found in debian/package/usr/lib/ocaml. Each ".ocamldoc*" file is used to generate a different documentation where the part coming after "ocamldoc" in the filename is used as document ID in the doc-base file.

You can have several flags per line. Lines beginning with "--include" have a special meaning: whatever follows "--include" will be considered as a list of directories where .mli or .ml files will be searched for the documentation generation. The directories will also be added to ocamldoc library search path. This can be useful for generating the documentation in its own binary package. Note that, to that end, you should ensure that the package shipping the documentation is treated by dh_ocamldoc after the package shipping the actual objects.

The "-d" flag is detected and used to generate the appropriate doc-base file. It contains the path of the documentation directory and is relative to "/usr/share/doc/$package/". The default value is "html/api".

dh_ocamldoc detects automatically if "ocamlfind ocamldoc" should be called instead of plain "ocamldoc" (it does so by looking for common ocamlfind options such as: -package, -predicates, etc.).

Lines starting with "#" in *ocamldoc files are comments and hence ignored.

If you want to install the documentation present in upstream's tarball (if any), you may add "--doc-base-generate" in your .ocamldoc file in order to tell dh_ocamldoc generate the .doc-base file only.

OPTIONS

-X files
    Exclude files from documentation processing.

-u flags
    Additional flags to "ocamldoc" or "ocamlfind ocamldoc".

SEE ALSO
debhelper(7), dh(1), dh_ocaml(1)

This program is meant to be used together with debhelper.

AUTHOR
Mehdi Dogguy <mehdi@debian.org>